<%@ Control Language="C#" AutoEventWireup="true" CodeFile="tree.ascx.cs" Inherits="tree" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<style type="text/css">
	
.RedCheckBox
{
	background-color: red;
}

.WhiteCheckBox
{
	background-color: white;
}

</style>

<script type="text/javascript">
function pageLoad()
{
	var treeviewInstance = $find("<%= RadTreeView1.ClientID %>");
	var i;
	for (i=0; i<treeviewInstance.get_allNodes().length; i++)
	{
		var currentNode = treeviewInstance.get_allNodes()[i];
		if (HasCheckedNodes(currentNode))
		{
			var checkBoxElement = currentNode.get_checkBoxElement();						
			checkBoxElement.className = "RedCheckBox";
		}
	}				
}

function HasCheckedNodes(node)
{
	var atLeastOneChecked = false;
	var atLeastOneUnChecked = false;
	
	for (var i=0; i<node.get_nodes().get_count(); i++)
	{
		if (node.get_nodes().getNode(i).get_checked())
		{
			atLeastOneChecked = true;
		}
		else
		{
			atLeastOneUnChecked = true;
		}
	}
	
	if (atLeastOneChecked && atLeastOneUnChecked)
	{
		return true;
	}
	else
	{
		return false;
	}
}

function afterCheck(sender, eventArgs)
{
    var node = eventArgs.get_node();
	if (node.get_parent() != node.get_treeView())
	{
		var checkBoxElement = node.get_parent().get_checkBoxElement();
		if (HasCheckedNodes(node.get_parent()))
		{					
			checkBoxElement.className = "RedCheckBox";
		}
		else
		{
			checkBoxElement.className = "WhiteCheckBox";
		}
	}
}
</script>


<telerik:RadTreeView ID="RadTreeView1" 
CheckBoxes="true"
Height="300px"
OnClientNodeChecked="afterCheck"
runat="server">
</telerik:RadTreeView>
